#pragma once

#include <cstdint>

namespace game {

struct buttonState
{
    int16_t button;
    int16_t level;
};

class ButtonManager
{
public:
    buttonState currentState;

    ButtonManager();

    void Update();
private:
    void UpdateGamepad();
    void UpdateKeyboard();
};

}
